Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.runtime
Class JspFactoryImpl

    java.lang.Object
      javax.servlet.jsp.JspFactory
          org.apache.jasper.runtime.JspFactoryImpl

    public class JspFactoryImpl

extends JspFactory

Implementation of JspFactory.

Author:
  Anil K. Vijendran, Kin-man Chung

Constructor Summary
`JspFactoryImpl()`

Method Summary
`JspEngineInfo` | `getEngineInfo()` called to get implementation-specific information on the current JSP engine.
`JspApplicationContext` | `getJspApplicationContext(ServletContext context)` Obtains the `JspApplicationContext` instance associated with the web application for the given `ServletContext`.
`PageContext` | `getPageContext(Servlet servlet, ServletRequest request, ServletResponse response, String errorPageURL, boolean needsSession, int bufferSize, boolean autoflush)` obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.
`void` | `releasePageContext(PageContext pc)` called to release a previously allocated PageContext object.

Methods inherited from class javax.servlet.jsp.JspFactory
`getDefaultFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFactoryImpl

    public JspFactoryImpl()

Method Detail

### getPageContext

    public PageContext getPageContext(Servlet servlet,
                                      ServletRequest request,
                                      ServletResponse response,
                                      String errorPageURL,
                                      boolean needsSession,
                                      int bufferSize,
                                      boolean autoflush)

  Description copied from class: `JspFactory`

  obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.

  This method is typically called early in the processing of the _jspService() method of a JSP implementation class in order to obtain a PageContext object for the request being processed.

  Invoking this method shall result in the PageContext.initialize() method being invoked. The PageContext returned is properly initialized.

  All PageContext objects obtained via this method shall be released by invoking releasePageContext().

  Specified by:
    `getPageContext` in class `JspFactory`
  Parameters:
    `servlet` - the requesting servlet
    `request` - the current request pending on the servlet
    `response` - the current response pending on the servlet
    `errorPageURL` - the URL of the error page for the requesting JSP, or null
    `needsSession` - true if the JSP participates in a session
    `bufferSize` - size of buffer in bytes, PageContext.NO_BUFFER if no buffer, PageContext.DEFAULT_BUFFER if implementation default.
    `autoflush` - should the buffer autoflush to the output stream on buffer overflow, or throw an IOException?
  Returns:
    the page context
  See Also:
    `PageContext`

### releasePageContext

    public void releasePageContext(PageContext pc)

  Description copied from class: `JspFactory`

  called to release a previously allocated PageContext object. Results in PageContext.release() being invoked. This method should be invoked prior to returning from the _jspService() method of a JSP implementation class.

  Specified by:
    `releasePageContext` in class `JspFactory`
  Parameters:
    `pc` - A PageContext previously obtained by getPageContext()

### getEngineInfo

    public JspEngineInfo getEngineInfo()

  Description copied from class: `JspFactory`

  called to get implementation-specific information on the current JSP engine.

  Specified by:
    `getEngineInfo` in class `JspFactory`
  Returns:
    a JspEngineInfo object describing the current JSP engine

### getJspApplicationContext

    public JspApplicationContext getJspApplicationContext(ServletContext context)

  Description copied from class: `JspFactory`
  Obtains the `JspApplicationContext` instance associated with the web application for the given `ServletContext`.

  Specified by:
    `getJspApplicationContext` in class `JspFactory`
  Parameters:
    `context` - The `ServletContext` for the web application the desired `JspApplicationContext` is associated with.
  Returns:
    The `JspApplicationContext` associated with the web application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.